#include <fstream>
#include <set>
#include <string>
#include <vector>
#include <algorithm>
#include <math.h>
using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

#define ll long long

int good(long long p, long long y)
{
	for (long long i = 2; i <= min((long long)sqrt(y), p); i++)
	{
		if (y%i == 0)
		{
			return 0;
		}
	}

	return 1;
}

int main()
{
	ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

	long long p, y, i, j, k, l;

	cin >> p >> y;
	for (i = y; i > p; i--)
	{
		if (good(p, i))
		{
			cout << i;

			return 0;
		}
	}

	cout << -1;

	return 0;
}